Argus API Argus Camera API

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions
Argus::IRequest Class Reference

Defines the interface to a capture Request. More...

`#include <Request.h>`

Inheritance diagram for Argus::IRequest:

List of all members.

## Public Member Functions

virtual Status | enableOutputStream (OutputStream *stream)=0
| Enables the specified output stream.
virtual Status | disableOutputStream (OutputStream *stream)=0
| Disables the specified output stream.
virtual Status | clearOutputStreams ()=0
| Disables all output streams.
virtual Status | getOutputStreams (std::vector< OutputStream * > *streams) const =0
| Returns all enabled output streams.
virtual InterfaceProvider * | getStreamSettings (const OutputStream *stream)=0
| Returns the Stream settings for a particular stream in the request.
virtual InterfaceProvider * | getAutoControlSettings (const AutoControlId acId=0)=0
| Returns the capture control settings for a given AC.
virtual InterfaceProvider * | getSourceSettings ()=0
| Returns the source settings for the request.
virtual Status | setClientData (uint32_t data)=0
| Sets the client data for the request.
virtual uint32_t | getClientData () const =0
| Gets the client data for the request.

## Static Public Member Functions

static const InterfaceID & | id ()

## Protected Member Functions

| ~IRequest ()
Protected Member Functions inherited from Argus::Interface
| Interface ()
| ~Interface ()

## Detailed Description

Defines the interface to a capture Request.

Definition at line 52 of file Request.h.

## Constructor & Destructor Documentation

Argus::IRequest::~IRequest | ( |  | ) |

inlineprotected

Definition at line 120 of file Request.h.

## Member Function Documentation

virtual Status Argus::IRequest::clearOutputStreams | ( |  | ) |

pure virtual

Disables all output streams.

virtual Status Argus::IRequest::disableOutputStream | ( | OutputStream * | stream | ) |

pure virtual

Disables the specified output stream.

virtual Status Argus::IRequest::enableOutputStream | ( | OutputStream * | stream | ) |

pure virtual

Enables the specified output stream.

Captures made with this Request will produce output on that stream.

virtual InterfaceProvider* Argus::IRequest::getAutoControlSettings | ( | const AutoControlId | acId = `0` | ) |

pure virtual

Returns the capture control settings for a given AC.

The returned object will have the same lifespan as this object, and expose the IAutoControlSettings interface.

Parameters:

  [in] | acId | The id of the AC component for which the settings are requested. (Currently unused)

virtual uint32_t Argus::IRequest::getClientData | ( |  | ) | const

pure virtual

Gets the client data for the request.

virtual Status Argus::IRequest::getOutputStreams | ( | std::vector< OutputStream * > * | streams | ) | const

pure virtual

Returns all enabled output streams.

Parameters:

  [out] | streams,a | vector that will be populated with the enabled streams.

Returns:
  success/status of the call.

virtual InterfaceProvider* Argus::IRequest::getSourceSettings | ( |  | ) |

pure virtual

Returns the source settings for the request.

The returned object will have the same lifespan as this object, and expose the ISourceSettings interface.

virtual InterfaceProvider* Argus::IRequest::getStreamSettings | ( | const OutputStream * | stream | ) |

pure virtual

Returns the Stream settings for a particular stream in the request.

The returned object will have the same lifespan as this object, and expose the IStreamSettings interface.

Parameters:

  [in] | stream | The stream for which the settings are requested.

static const InterfaceID& Argus::IRequest::id | ( |  | ) |

inlinestatic

Definition at line 55 of file Request.h.

virtual Status Argus::IRequest::setClientData | ( | uint32_t | data | ) |

pure virtual

Sets the client data for the request.

This value is passed through to and queryable from the CaptureMetadata generated for any captures completed using this Request. Default value is 0.

Parameters:

  [in] | data | The client data.

The documentation for this class was generated from the following file:

- include/Argus/Request.h